# Function buildTableCaches

- buildTableCaches(
  allTables: any[],
  ): { fieldCache: any; tableIdCache: any; tableNameCache: any }

  when we don't have the saltcorn state those caches can be used

  #### Parameters

  - allTables: any[]

  #### Returns { fieldCache: any; tableIdCache: any; tableNameCache: any }

  tableIdCache, tableNameCache, fieldCache

  - Defined in relations/relation_helpers.ts:8